Package org.apache.synapse.transport.http.conn

# Class LoggingNHttpClientConnection

java.lang.Object
org.apache.http.impl.nio.NHttpConnectionBase
org.apache.http.impl.nio.DefaultNHttpClientConnection
org.apache.synapse.transport.http.conn.LoggingNHttpClientConnection

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.http.HttpConnection`, `org.apache.http.HttpInetConnection`, `org.apache.http.nio.IOControl`, `org.apache.http.nio.NHttpClientConnection`, `org.apache.http.nio.NHttpClientIOTarget`, `org.apache.http.nio.NHttpConnection`, `org.apache.http.nio.reactor.SessionBufferStatus`, `org.apache.http.nio.reactor.SocketAccessor`, `UpgradableNHttpConnection`

public class LoggingNHttpClientConnection extends org.apache.http.impl.nio.DefaultNHttpClientConnection implements UpgradableNHttpConnection

- ## Field Summary

  ### Fields inherited from class org.apache.http.impl.nio.DefaultNHttpClientConnection

  `requestWriter, responseParser`

  ### Fields inherited from class org.apache.http.impl.nio.NHttpConnectionBase

  `connMetrics, contentDecoder, contentEncoder, context, hasBufferedInput, hasBufferedOutput, inbuf, incomingContentStrategy, inTransportMetrics, outbuf, outgoingContentStrategy, outTransportMetrics, remote, request, response, session, status`

  ### Fields inherited from interface org.apache.http.nio.NHttpConnection

  `ACTIVE, CLOSED, CLOSING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingNHttpClientConnection(org.apache.http.nio.reactor.IOSession session, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind(org.apache.http.nio.reactor.IOSession session)`
  `void`
  `close()`
  `void`
  `consumeInput(org.apache.http.nio.NHttpClientEventHandler handler)`
  `protected org.apache.http.nio.NHttpMessageWriter<org.apache.http.HttpRequest>`
  `createRequestWriter(org.apache.http.nio.reactor.SessionOutputBuffer buffer, org.apache.http.params.HttpParams params)`
  `protected org.apache.http.nio.NHttpMessageParser<org.apache.http.HttpResponse>`
  `createResponseParser(org.apache.http.nio.reactor.SessionInputBuffer buffer, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.params.HttpParams params)`
  `org.apache.http.nio.reactor.IOSession`
  `getIOSession()`
  `boolean`
  `isReleaseConn()`
  `void`
  `produceOutput(org.apache.http.nio.NHttpClientEventHandler handler)`
  `void`
  `setReleaseConn(boolean releaseConn)`
  `void`
  `shutdown()`
  `void`
  `submitRequest(org.apache.http.HttpRequest request)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.http.impl.nio.DefaultNHttpClientConnection

  `consumeInput, isRequestSubmitted, onRequestSubmitted, onResponseReceived, produceOutput, resetInput, resetOutput`

  ### Methods inherited from class org.apache.http.impl.nio.NHttpConnectionBase

  `assertNotClosed, createConnectionMetrics, createContentDecoder, createContentEncoder, createIncomingContentStrategy, createOutgoingContentStrategy, createTransportMetrics, getContext, getHttpRequest, getHttpResponse, getLocalAddress, getLocalPort, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getStatus, hasBufferedInput, hasBufferedOutput, isOpen, isStale, prepareDecoder, prepareEncoder, requestInput, requestOutput, setSocketTimeout, suspendInput, suspendOutput`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.http.HttpConnection

  `getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout`

  ### Methods inherited from interface org.apache.http.nio.IOControl

  `requestInput, requestOutput, suspendInput, suspendOutput`

  ### Methods inherited from interface org.apache.http.nio.NHttpConnection

  `getContext, getHttpRequest, getHttpResponse, getStatus`

- ## Constructor Details

  - ### LoggingNHttpClientConnection

    public LoggingNHttpClientConnection(org.apache.http.nio.reactor.IOSession session, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `org.apache.http.HttpConnection`
    Overrides:
      `close` in class `org.apache.http.impl.nio.NHttpConnectionBase`
    Throws:
      `IOException`

  - ### shutdown

    public void shutdown() throws IOException
    Specified by:
      `shutdown` in interface `org.apache.http.HttpConnection`
    Specified by:
      `shutdown` in interface `org.apache.http.nio.IOControl`
    Overrides:
      `shutdown` in class `org.apache.http.impl.nio.NHttpConnectionBase`
    Throws:
      `IOException`

  - ### submitRequest

    public void submitRequest(org.apache.http.HttpRequest request) throws IOException, org.apache.http.HttpException
    Specified by:
      `submitRequest` in interface `org.apache.http.nio.NHttpClientConnection`
    Overrides:
      `submitRequest` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`
    Throws:
      `IOException`
      `org.apache.http.HttpException`

  - ### consumeInput

    public void consumeInput(org.apache.http.nio.NHttpClientEventHandler handler)
    Overrides:
      `consumeInput` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`

  - ### produceOutput

    public void produceOutput(org.apache.http.nio.NHttpClientEventHandler handler)
    Overrides:
      `produceOutput` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`

  - ### createRequestWriter

    protected org.apache.http.nio.NHttpMessageWriter<org.apache.http.HttpRequest> createRequestWriter(org.apache.http.nio.reactor.SessionOutputBuffer buffer, org.apache.http.params.HttpParams params)
    Overrides:
      `createRequestWriter` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`

  - ### createResponseParser

    protected org.apache.http.nio.NHttpMessageParser<org.apache.http.HttpResponse> createResponseParser(org.apache.http.nio.reactor.SessionInputBuffer buffer, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.params.HttpParams params)
    Overrides:
      `createResponseParser` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`

  - ### getIOSession

    public org.apache.http.nio.reactor.IOSession getIOSession()
    Specified by:
      `getIOSession` in interface `UpgradableNHttpConnection`

  - ### bind

    public void bind(org.apache.http.nio.reactor.IOSession session)
    Specified by:
      `bind` in interface `UpgradableNHttpConnection`
    Overrides:
      `bind` in class `org.apache.http.impl.nio.NHttpConnectionBase`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `org.apache.http.impl.nio.NHttpConnectionBase`

  - ### isReleaseConn

    public boolean isReleaseConn()

  - ### setReleaseConn

    public void setReleaseConn(boolean releaseConn)